package eu.DECIDEh2020.architect.patterns.composites;
/*
* Copyright (c) 2017 Fraunhofer FOKUS.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the
* Eclipse Public License version 2.0 which accompanies
* this distribution, and is available at
* https://opensource.org/licenses/EPL-2.0
*
* Contributors:
*
* Torben Jastrow (Fraunhofer FOKUS) 
* 
* **Initially developed in the context of DECIDE EU project www.DECIDE-h2020.eu */

import org.eclipse.swt.widgets.Composite;

import eu.DECIDEh2020.appManager.models.AppDescription;
import eu.DECIDEh2020.architect.plugin.editor.IPageBuilder;
import eu.DECIDEh2020.architect.plugin.editor.Page;

public class PatternPageBuilder implements IPageBuilder {

	public PatternPageBuilder() {
		super();
	}

	@Override
	public  Page getPage(Composite parent, int style,AppDescription appdescription) {
		return new PatternPageComposite(parent, style, appdescription);
	}

}
