package eu.DECIDEh2020.architect.plugin.layoutComponents;

import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.RowLayout;
import org.eclipse.swt.widgets.Scale;
import org.eclipse.swt.events.SelectionAdapter;
import org.eclipse.swt.events.SelectionEvent;

import eu.DECIDEh2020.appManager.models.AvailabilityNfr;

//first version of an availability  NFR Composite, not used
public class NfrAvailabilityComposite extends Composite {

	public NfrAvailabilityComposite(Composite parent, AvailabilityNfr nfr) {
		super(parent, SWT.NONE);
		setLayout(new GridLayout(2, false));
		
		Label lblAutomaticSupervision = new Label(this, SWT.NONE);
		lblAutomaticSupervision.setAlignment(SWT.CENTER);
		lblAutomaticSupervision.setText("Automatic supervision + repair\r\n(high availability)");
		
		Button btnYes = new Button(this, SWT.CHECK);
		btnYes.setText("yes?");
		
		Label lblRelationalDb = new Label(this, SWT.NONE);
		lblRelationalDb.setLayoutData(new GridData(SWT.CENTER, SWT.TOP, false, false, 1, 1));
		lblRelationalDb.setText("Relational DB");
		
		Composite composite = new Composite(this, SWT.NONE);
		composite.setLayout(new RowLayout(SWT.HORIZONTAL));
		composite.setLayoutData(new GridData(SWT.LEFT, SWT.FILL, true, false, 1, 1));
		
		Button btnFromCloudService = new Button(composite, SWT.CHECK);
		btnFromCloudService.setText("from Cloud Service Provider");
		
		Button btnOwnImplementation = new Button(composite, SWT.CHECK);
		btnOwnImplementation.setText("own implementation");
		
		Composite composite_1 = new Composite(this, SWT.NONE);
		composite_1.setLayoutData(new GridData(SWT.LEFT, SWT.CENTER, true, false, 1, 1));
		RowLayout rl_composite_1 = new RowLayout(SWT.HORIZONTAL);
		rl_composite_1.justify = true;
		composite_1.setLayout(rl_composite_1);
		
		Label lblQuantitativeAvailability = new Label(composite_1, SWT.NONE);
		lblQuantitativeAvailability.setText("Quantitative availability (%):");
		
		Label lblScaleValue = new Label(composite_1, SWT.NONE);
		lblScaleValue.setAlignment(SWT.RIGHT);
		lblScaleValue.setText("Best effort");
		
		Scale scale = new Scale(this, SWT.NONE);
		scale.addSelectionListener(new SelectionAdapter() {
			@Override
			public void widgetSelected(SelectionEvent e) {
				if(scale.getSelection()>=0) {
					lblScaleValue.setText("~ "+ scale.getSelection() + "%");
				}else {
					lblScaleValue.setText("Best Effort");
				}
			}
		});
		scale.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, true, false, 1, 1));
	}

}
